## leveldb 0+20110926.git26db4d9

=== Makefile ===
# Copyright (c) 2011 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

CC = g++

#-----------------------------------------------
# Uncomment exactly one of the lines labelled (A), (B), and (C) below
# to switch between compilation modes.

OPT = -O2 -DNDEBUG       # (A) Production use (optimized mode)
# OPT = -g2              # (B) Debug mode, w/ full line-level debugging symbols
# OPT = -O2 -g2 -DNDEBUG # (C) Profiling mode: opt, but w/debugging symbols
#-----------------------------------------------

# detect what platform we're building on
$(shell sh ./build_detect_platform)
# this file is generated by build_detect_platform to set build flags
include build_config.mk

# If Snappy is installed, add compilation and linker flags
# (see http://code.google.com/p/snappy/)
ifeq ($(SNAPPY), 1)
SNAPPY_CFLAGS=-DSNAPPY
SNAPPY_LDFLAGS=-lsnappy
else
SNAPPY_CFLAGS=
SNAPPY_LDFLAGS=
endif

# If Google Perf Tools are installed, add compilation and linker flags
# (see http://code.google.com/p/google-perftools/)
ifeq ($(GOOGLE_PERFTOOLS), 1)
GOOGLE_PERFTOOLS_LDFLAGS=-ltcmalloc
else
GOOGLE_PERFTOOLS_LDFLAGS=
endif

CFLAGS = -c -I. -I./include $(PORT_CFLAGS) $(PLATFORM_CFLAGS) $(OPT) $(SNAPPY_CFLAGS)

LDFLAGS=$(PLATFORM_LDFLAGS) $(SNAPPY_LDFLAGS) $(GOOGLE_PERFTOOLS_LDFLAGS)

LIBOBJECTS = \
	./db/builder.o \
	./db/c.o \
	./db/db_impl.o \
	./db/db_iter.o \
	./db/filename.o \
	./db/dbformat.o \
	./db/log_reader.o \
	./db/log_writer.o \
	./db/memtable.o \
	./db/repair.o \
	./db/table_cache.o \
	./db/version_edit.o \
	./db/version_set.o \
	./db/write_batch.o \
	./port/port_posix.o \
	./table/block.o \
	./table/block_builder.o \
	./table/format.o \
	./table/iterator.o \
	./table/merger.o \
	./table/table.o \
	./table/table_builder.o \
	./table/two_level_iterator.o \
	./util/arena.o \
	./util/cache.o \
	./util/coding.o \
	./util/comparator.o \
	./util/crc32c.o \
	./util/env.o \
	./util/env_posix.o \
	./util/hash.o \
	./util/histogram.o \
	./util/logging.o \
	./util/options.o \
	./util/status.o

TESTUTIL = ./util/testutil.o
TESTHARNESS = ./util/testharness.o $(TESTUTIL)

TESTS = \
	arena_test \
	c_test \
	cache_test \
	coding_test \
	corruption_test \
	crc32c_test \
	db_test \
	dbformat_test \
	env_test \
	filename_test \
	log_test \
	memenv_test \
	skiplist_test \
	table_test \
	version_edit_test \
	version_set_test \
	write_batch_test

PROGRAMS = db_bench $(TESTS)
BENCHMARKS = db_bench_sqlite3 db_bench_tree_db

LIBRARY = libleveldb.a
MEMENVLIBRARY = libmemenv.a

all: $(LIBRARY)

check: $(PROGRAMS) $(TESTS)
	for t in $(TESTS); do echo "***** Running $$t"; ./$$t || exit 1; done

clean:
	-rm -f $(PROGRAMS) $(BENCHMARKS) $(LIBRARY) $(MEMENVLIBRARY) */*.o */*/*.o ios-x86/*/*.o ios-arm/*/*.o
	-rm -rf ios-x86/* ios-arm/*
	-rm build_config.mk

$(LIBRARY): $(LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(LIBOBJECTS)

db_bench: db/db_bench.o $(LIBOBJECTS) $(TESTUTIL)
	$(CC) $(LDFLAGS) db/db_bench.o $(LIBOBJECTS) $(TESTUTIL) -o $@

db_bench_sqlite3: doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL)
	$(CC) $(LDFLAGS) -lsqlite3 doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL) -o $@

db_bench_tree_db: doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL)
	$(CC) $(LDFLAGS) -lkyotocabinet doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL) -o $@

arena_test: util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

c_test: db/c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

cache_test: util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

coding_test: util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

corruption_test: db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

crc32c_test: util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

db_test: db/db_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/db_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

dbformat_test: db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

env_test: util/env_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) util/env_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

filename_test: db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

log_test: db/log_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/log_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

table_test: table/table_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) table/table_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

skiplist_test: db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

version_edit_test: db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

version_set_test: db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

write_batch_test: db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CC) $(LDFLAGS) db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@

$(MEMENVLIBRARY) : helpers/memenv/memenv.o
	rm -f $@
	$(AR) -rs $@ helpers/memenv/memenv.o

memenv_test : helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS)
	$(CC) $(LDFLAGS) helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS) -o $@

ifeq ($(PLATFORM), IOS)
# For iOS, create universal object files to be used on both the simulator and
# a device.
SIMULATORROOT=/Developer/Platforms/iPhoneSimulator.platform/Developer
DEVICEROOT=/Developer/Platforms/iPhoneOS.platform/Developer
IOSVERSION=$(shell defaults read /Developer/Platforms/iPhoneOS.platform/version CFBundleShortVersionString)

.cc.o:
	mkdir -p ios-x86/$(dir $@)
	$(SIMULATORROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

.c.o:
	mkdir -p ios-x86/$(dir $@)
	$(SIMULATORROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

else
.cc.o:
	$(CC) $(CFLAGS) $< -o $@

.c.o:
	$(CC) $(CFLAGS) $< -o $@
endif

=== debian/changelog ===
leveldb (0+20110926.git26db4d9-2ubuntu1) precise; urgency=low

  * Fix build with --as-needed linker option.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 30 Oct 2011 17:43:56 +0400

leveldb (0+20110926.git26db4d9-2) unstable; urgency=low

  * debian/patches/0005-Add-support-S390.patch:
    - Small fix to prevent FTBFS (Closes: #644336).

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 17:45:43 +0200

leveldb (0+20110926.git26db4d9-1) unstable; urgency=low

  * Imported snapshot from upstream's git:
    - Fix GCC -Wshadow warnings in public header files.
    - Add in-memory implementation, users are now allowed to create
      LevelDBs in-memory.
    - Fix a Valgrind warning.
    - Code clean-up.
    - Add GNU/kFreeBSD support.
    - Use uint64_t instead of size_t in MemEnvTest.
  * Add support for the following architectures, a big "thank you!" goes to
    Nobuhiro Iwamatsu for the great work (Closes: #643622):
    - PowerPC
    - IA64
    - Alpha
    - Sparc
    - S390
    - MIPS
    - SuperH
    - PARISC
  * Drop 1002-kfreebsd.patch, accepted upstream.
  * Update get-git-source.sh script.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Oct 2011 19:07:11 +0200

leveldb (0+20110901.git7263023-2) unstable; urgency=low

  * Attempt to compile on kFreeBSD, thanks to Christoph Egger for
    the patch (Closes: #640378).

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 09:59:38 +0200

leveldb (0+20110901.git7263023-1) unstable; urgency=low

  * New upstream release.
  * Drop libgoogle-perftools-dev,libsnappy-dev from Build-Depends.
  * Small fix in debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 09:52:36 +0200

leveldb (0~svn47-2) unstable; urgency=low

  * Compile with -fPIC.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 13:21:34 +0200

leveldb (0~svn47-1) unstable; urgency=low

  * New upstream snapshot.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 12:52:11 +0200

leveldb (0~svn45-1) unstable; urgency=low

  * Initial release. (Closes: #636695)

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Aug 2011 13:50:34 +0200

=== debian/control ===
Source: leveldb
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/leveldb/
Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git

Package: libleveldb-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: leveldb-doc
Description: fast key-value storage library
 LevelDB is a fast key-value storage library written at Google that
 provides an ordered mapping from string keys to string values.
 .
 Features:
  * Keys and values are arbitrary byte arrays.
  * Data is stored sorted by key.
  * Callers can provide a custom comparison function to override
    the sort order.
  * The basic operations are Put(key,value), Get(key), Delete(key).
  * Multiple changes can be made in one atomic batch.
  * Users can create a transient snapshot to get a consistent view of
    data.
  * Forward and backward iteration is supported over the data.
  * Data is automatically compressed using the Snappy compression
    library.
  * External activity (file system operations etc.) is relayed through
    a virtual interface so users can customize the operating system
    interactions.
  * Detailed documentation about how to use the library is included with
    the source code.
 .
 Limitations:
  * This is not a SQL database. It does not have a relational data model,
    it does not support SQL queries, and it has no support for indexes.
  * Only a single process (possibly multi-threaded) can access a
    particular database at a time.
  * There is no client-server support builtin to the library.
    An application that needs such support will have to wrap their own
    server around the library.

Package: leveldb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: LevelDB documentation
 LevelDB is a fast key-value storage library written at Google that
 provides an ordered mapping from string keys to string values.
 .
 This package provides the developers reference for LevelDB.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/leveldb/leveldb-(\d+.*)\.tar\.bz2

## leveldb 0+20111031.git36a5f8e

=== debian/changelog ===
leveldb (0+20111031.git36a5f8e-2) unstable; urgency=low

  * Fix build failure with --as-needed flag enabled (Closes: #647105).
  * Re-introduce Cristoph Egger's patch to allow compilation
    on kFreeBSD (Closes: #648248).

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Nov 2011 12:06:07 +0100

leveldb (0+20111031.git36a5f8e-1) unstable; urgency=low

  * Imported Upstream snapshot 0+20111031.git36a5f8e.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Nov 2011 15:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leveldb
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/leveldb/

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=debian/tmp
export PREFIX=/usr
export LIBDIR=lib

%:
	dh $@ --parallel

override_dh_installchangelogs:
	dh_installchangelogs -pleveldb-doc NEWS

override_dh_installdocs:
	dh_installdocs --link-doc=leveldb-doc

get-orig-source:
	debian/get-git-source.sh

## leveldb 0+20111130.gitc8c5866

=== debian/changelog ===
leveldb (0+20111130.gitc8c5866-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream snapshot.
  * Refresh patches.
  * debian/rules: Support "noopt" flag.

  [ Pino Toscano ]
  * Add preliminary support for GNU/Hurd.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Jan 2012 09:44:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 export DESTDIR=debian/tmp
 export PREFIX=/usr
 export LIBDIR=lib
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    OPT=-O0
+else
+    OPT=-O2
+endif
+
+export OPT += -DNDEBUG
 
 %:
 	dh $@ --parallel

## leveldb 0+20120125.git3c8be10

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,16 @@
 # Use of this source code is governed by a BSD-style license that can be
 # found in the LICENSE file. See the AUTHORS file for names of contributors.
 
-CC = g++
+CXX ?= g++
+CC  ?= gcc
 
 #-----------------------------------------------
 # Uncomment exactly one of the lines labelled (A), (B), and (C) below
 # to switch between compilation modes.
 
-OPT = -O2 -DNDEBUG       # (A) Production use (optimized mode)
-# OPT = -g2              # (B) Debug mode, w/ full line-level debugging symbols
-# OPT = -O2 -g2 -DNDEBUG # (C) Profiling mode: opt, but w/debugging symbols
+OPT ?= -O2 -DNDEBUG       # (A) Production use (optimized mode)
+# OPT ?= -g2              # (B) Debug mode, w/ full line-level debugging symbols
+# OPT ?= -O2 -g2 -DNDEBUG # (C) Profiling mode: opt, but w/debugging symbols
 #-----------------------------------------------
 
 # detect what platform we're building on
@@ -38,7 +39,7 @@
 
 CFLAGS = -c -I. -I./include $(PORT_CFLAGS) $(PLATFORM_CFLAGS) $(OPT) $(SNAPPY_CFLAGS)
 
-LDFLAGS=$(PLATFORM_LDFLAGS) $(SNAPPY_LDFLAGS) $(GOOGLE_PERFTOOLS_LDFLAGS)
+LDFLAGS += $(PLATFORM_LDFLAGS) $(SNAPPY_LDFLAGS) $(GOOGLE_PERFTOOLS_LDFLAGS)
 
 LIBOBJECTS = \
 	./db/builder.o \
@@ -120,68 +121,68 @@
 	$(AR) -rs $@ $(LIBOBJECTS)
 
 db_bench: db/db_bench.o $(LIBOBJECTS) $(TESTUTIL)
-	$(CC) $(LDFLAGS) db/db_bench.o $(LIBOBJECTS) $(TESTUTIL) -o $@
+	$(CXX) $(LDFLAGS) db/db_bench.o $(LIBOBJECTS) $(TESTUTIL) -o $@
 
 db_bench_sqlite3: doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL)
-	$(CC) $(LDFLAGS) -lsqlite3 doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL) -o $@
+	$(CXX) $(LDFLAGS) -lsqlite3 doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL) -o $@
 
 db_bench_tree_db: doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL)
-	$(CC) $(LDFLAGS) -lkyotocabinet doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL) -o $@
+	$(CXX) $(LDFLAGS) -lkyotocabinet doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL) -o $@
 
 arena_test: util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 c_test: db/c_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 cache_test: util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 coding_test: util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 corruption_test: db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 crc32c_test: util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 db_test: db/db_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/db_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/db_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 dbformat_test: db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 env_test: util/env_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) util/env_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) util/env_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 filename_test: db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 log_test: db/log_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/log_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/log_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 table_test: table/table_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) table/table_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) table/table_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 skiplist_test: db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 version_edit_test: db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 version_set_test: db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 write_batch_test: db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@
 
 $(MEMENVLIBRARY) : helpers/memenv/memenv.o
 	rm -f $@
 	$(AR) -rs $@ helpers/memenv/memenv.o
 
 memenv_test : helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS)
-	$(CC) $(LDFLAGS) helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS) -o $@
+	$(CXX) $(LDFLAGS) helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS) -o $@
 
 ifeq ($(PLATFORM), IOS)
 # For iOS, create universal object files to be used on both the simulator and
@@ -192,9 +193,9 @@
 
 .cc.o:
 	mkdir -p ios-x86/$(dir $@)
-	$(SIMULATORROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 $< -o ios-x86/$@
+	$(SIMULATORROOT)/usr/bin/$(CXX) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 $< -o ios-x86/$@
 	mkdir -p ios-arm/$(dir $@)
-	$(DEVICEROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 $< -o ios-arm/$@
+	$(DEVICEROOT)/usr/bin/$(CXX) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 $< -o ios-arm/$@
 	lipo ios-x86/$@ ios-arm/$@ -create -output $@
 
 .c.o:
@@ -206,7 +207,7 @@
 
 else
 .cc.o:
-	$(CC) $(CFLAGS) $< -o $@
+	$(CXX) $(CFLAGS) $< -o $@
 
 .c.o:
 	$(CC) $(CFLAGS) $< -o $@

=== debian/changelog ===
leveldb (0+20120125.git3c8be10-1) unstable; urgency=low

  * New upstream snapshot.
  * Build with snappy. (Closes: #654291)

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Feb 2012 13:21:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~),
+ libsnappy-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://git.debian.org/collab-maint/leveldb.git

## leveldb 0+20120417.git85584d4

=== Makefile ===
# Copyright (c) 2011 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

# Inherit some settings from environment variables, if available
CXX ?= g++
CC  ?= gcc
INSTALL_PATH ?= $(CURDIR)

#-----------------------------------------------
# Uncomment exactly one of the lines labelled (A), (B), and (C) below
# to switch between compilation modes.

OPT ?= -O2 -DNDEBUG       # (A) Production use (optimized mode)
# OPT ?= -g2              # (B) Debug mode, w/ full line-level debugging symbols
# OPT ?= -O2 -g2 -DNDEBUG # (C) Profiling mode: opt, but w/debugging symbols
#-----------------------------------------------

# detect what platform we're building on
$(shell ./build_detect_platform build_config.mk)
# this file is generated by the previous line to set build flags and sources
include build_config.mk

CFLAGS += -I. -I./include $(PLATFORM_CCFLAGS) $(OPT)
CXXFLAGS += -I. -I./include $(PLATFORM_CXXFLAGS) $(OPT)

LDFLAGS += $(PLATFORM_LDFLAGS)

LIBOBJECTS = $(SOURCES:.cc=.o)
MEMENVOBJECTS = $(MEMENV_SOURCES:.cc=.o)

TESTUTIL = ./util/testutil.o
TESTHARNESS = ./util/testharness.o $(TESTUTIL)

TESTS = \
	arena_test \
	bloom_test \
	c_test \
	cache_test \
	coding_test \
	corruption_test \
	crc32c_test \
	db_test \
	dbformat_test \
	env_test \
	filename_test \
	filter_block_test \
	log_test \
	memenv_test \
	skiplist_test \
	table_test \
	version_edit_test \
	version_set_test \
	write_batch_test

PROGRAMS = db_bench $(TESTS)
BENCHMARKS = db_bench_sqlite3 db_bench_tree_db

LIBRARY = libleveldb.a
MEMENVLIBRARY = libmemenv.a

default: all

# Should we build shared libraries?
ifneq ($(PLATFORM_SHARED_EXT),)
# Update db.h if you change these.
SHARED_MAJOR = 1
SHARED_MINOR = 4
SHARED1 = libleveldb.$(PLATFORM_SHARED_EXT)
SHARED2 = $(SHARED1).$(SHARED_MAJOR)
SHARED3 = $(SHARED1).$(SHARED_MAJOR).$(SHARED_MINOR)
SHARED = $(SHARED1) $(SHARED2) $(SHARED3)
$(SHARED3):
	$(CXX) $(LDFLAGS) $(PLATFORM_SHARED_LDFLAGS)$(INSTALL_PATH)/$(SHARED2) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(SOURCES) -o $(SHARED3)
$(SHARED2): $(SHARED3)
	ln -fs $(SHARED3) $(SHARED2)
$(SHARED1): $(SHARED3)
	ln -fs $(SHARED3) $(SHARED1)
endif

all: $(SHARED) $(LIBRARY)

check: all $(PROGRAMS) $(TESTS)
	for t in $(TESTS); do echo "***** Running $$t"; ./$$t || exit 1; done

clean:
	-rm -f $(PROGRAMS) $(BENCHMARKS) $(LIBRARY) $(SHARED) $(MEMENVLIBRARY) */*.o */*/*.o ios-x86/*/*.o ios-arm/*/*.o build_config.mk
	-rm -rf ios-x86/* ios-arm/*

$(LIBRARY): $(LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(LIBOBJECTS)

db_bench: db/db_bench.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) db/db_bench.o $(LIBOBJECTS) $(TESTUTIL) -o $@  $(LDFLAGS)

db_bench_sqlite3: doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) doc/bench/db_bench_sqlite3.o $(LIBOBJECTS) $(TESTUTIL) -o $@ $(LDFLAGS) -lsqlite3

db_bench_tree_db: doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL)
	$(CXX) doc/bench/db_bench_tree_db.o $(LIBOBJECTS) $(TESTUTIL) -o $@ $(LDFLAGS) -lkyotocabinet

arena_test: util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/arena_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

bloom_test: util/bloom_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/bloom_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

c_test: db/c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

cache_test: util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/cache_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

coding_test: util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/coding_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

corruption_test: db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/corruption_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

crc32c_test: util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/crc32c_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

db_test: db/db_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/db_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

dbformat_test: db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/dbformat_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

env_test: util/env_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) util/env_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

filename_test: db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/filename_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

filter_block_test: table/filter_block_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) table/filter_block_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

log_test: db/log_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/log_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

table_test: table/table_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) table/table_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

skiplist_test: db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/skiplist_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

version_edit_test: db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/version_edit_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

version_set_test: db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/version_set_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

write_batch_test: db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS)
	$(CXX) db/write_batch_test.o $(LIBOBJECTS) $(TESTHARNESS) -o $@ $(LDFLAGS)

$(MEMENVLIBRARY) : $(MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(MEMENVOBJECTS)

memenv_test : helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS)
	$(CXX) helpers/memenv/memenv_test.o $(MEMENVLIBRARY) $(LIBRARY) $(TESTHARNESS) -o $@ $(LDFLAGS)

ifeq ($(PLATFORM), IOS)
# For iOS, create universal object files to be used on both the simulator and
# a device.
SIMULATORROOT=/Developer/Platforms/iPhoneSimulator.platform/Developer
DEVICEROOT=/Developer/Platforms/iPhoneOS.platform/Developer
IOSVERSION=$(shell defaults read /Developer/Platforms/iPhoneOS.platform/version CFBundleShortVersionString)

.cc.o:
	mkdir -p ios-x86/$(dir $@)
	$(SIMULATORROOT)/usr/bin/$(CXX) $(CXXFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 -c $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CXX) $(CXXFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 -c $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

.c.o:
	mkdir -p ios-x86/$(dir $@)
	$(SIMULATORROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(SIMULATORROOT)/SDKs/iPhoneSimulator$(IOSVERSION).sdk -arch i686 -c $< -o ios-x86/$@
	mkdir -p ios-arm/$(dir $@)
	$(DEVICEROOT)/usr/bin/$(CC) $(CFLAGS) -isysroot $(DEVICEROOT)/SDKs/iPhoneOS$(IOSVERSION).sdk -arch armv6 -arch armv7 -c $< -o ios-arm/$@
	lipo ios-x86/$@ ios-arm/$@ -create -output $@

else
.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@
endif

=== debian/changelog ===
leveldb (0+20120417.git85584d4-1) unstable; urgency=low

  * New upstream snapshot 20120417.git85584d4:
    - Added bloom filter support.
    - Updated version number to 1.4.
    - Some build tweaks.
    - C binding for CompactRange.
    - Few more benchmarks.
  * debian/patches/0102-kfreebsd.patch
    - Compile port/port_posix.cc to fix FTBFS on kfreebsd. (Closes: #669305)
  * debian/patches/0103-hurd.patch
    - Compile port/port_posix.cc on hurd.
  * Refresh the whole patchset.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 11:30:42 +0200

leveldb (0+20120330.gitbc1ee4d-1) unstable; urgency=low

  * Imported upstream snapshot 20120330.gitbc1ee4d.
  * Remove 1001-buildsystem.patch, no longer needed.
  * Refresh patches:
    - debian/patches/0101-as_needed.patch
    - debian/patches/0102-kfreebsd.patch
    - debian/patches/0103-hurd.patch
  * Remove 0010-shared_object.patch, solved by upstream.
  * debian/patches/0111-soname_fix.patch:
    - Fix SONAME, don't prepend soname with any path.
  * debian/patches/0112-makefile_install.patch:
    - Add install target to the makefile.
  * Introduce leveldb1 to provide the shared library.
  * Convert to Multi-Arch.
  * Don't pass --link-doc to dh_installdocs to avoid non-multiarchified
    dependencies on leveldb-doc.
  * Update debian/copyright to copyright format 1.0.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Apr 2012 11:22:27 +0200

## leveldb 0+20120530.gitdd0d562

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # found in the LICENSE file. See the AUTHORS file for names of contributors.
 
 # Inherit some settings from environment variables, if available
-CXX ?= g++
-CC  ?= gcc
 INSTALL_PATH ?= $(CURDIR)
 
 #-----------------------------------------------
@@ -63,20 +61,30 @@
 
 # Should we build shared libraries?
 ifneq ($(PLATFORM_SHARED_EXT),)
+
+ifneq ($(PLATFORM_SHARED_VERSIONED),true)
+SHARED1 = libleveldb.$(PLATFORM_SHARED_EXT)
+SHARED2 = $(SHARED1)
+SHARED3 = $(SHARED1)
+SHARED = $(SHARED1)
+else
 # Update db.h if you change these.
 SHARED_MAJOR = 1
-SHARED_MINOR = 4
+SHARED_MINOR = 5
 SHARED1 = libleveldb.$(PLATFORM_SHARED_EXT)
 SHARED2 = $(SHARED1).$(SHARED_MAJOR)
 SHARED3 = $(SHARED1).$(SHARED_MAJOR).$(SHARED_MINOR)
 SHARED = $(SHARED1) $(SHARED2) $(SHARED3)
-$(SHARED3):
-	$(CXX) $(LDFLAGS) $(PLATFORM_SHARED_LDFLAGS)$(INSTALL_PATH)/$(SHARED2) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(SOURCES) -o $(SHARED3)
+$(SHARED1): $(SHARED3)
+	ln -fs $(SHARED3) $(SHARED1)
 $(SHARED2): $(SHARED3)
 	ln -fs $(SHARED3) $(SHARED2)
-$(SHARED1): $(SHARED3)
-	ln -fs $(SHARED3) $(SHARED1)
 endif
+
+$(SHARED3):
+	$(CXX) $(LDFLAGS) $(PLATFORM_SHARED_LDFLAGS)$(SHARED2) $(CXXFLAGS) $(PLATFORM_SHARED_CFLAGS) $(SOURCES) -o $(SHARED3)
+
+endif  # PLATFORM_SHARED_EXT
 
 all: $(SHARED) $(LIBRARY)
 
@@ -164,9 +172,10 @@
 ifeq ($(PLATFORM), IOS)
 # For iOS, create universal object files to be used on both the simulator and
 # a device.
-SIMULATORROOT=/Developer/Platforms/iPhoneSimulator.platform/Developer
-DEVICEROOT=/Developer/Platforms/iPhoneOS.platform/Developer
-IOSVERSION=$(shell defaults read /Developer/Platforms/iPhoneOS.platform/version CFBundleShortVersionString)
+PLATFORMSROOT=/Applications/Xcode.app/Contents/Developer/Platforms
+SIMULATORROOT=$(PLATFORMSROOT)/iPhoneSimulator.platform/Developer
+DEVICEROOT=$(PLATFORMSROOT)/iPhoneOS.platform/Developer
+IOSVERSION=$(shell defaults read $(PLATFORMSROOT)/iPhoneOS.platform/version CFBundleShortVersionString)
 
 .cc.o:
 	mkdir -p ios-x86/$(dir $@)

=== debian/changelog ===
leveldb (0+20120530.gitdd0d562-1) unstable; urgency=low

  * Imported Upstream version 0+20120530.gitdd0d562
  * Update patch for SuperH.
    Thanks to Nobuhiro Iwamatsu for the great work. (Closes: #671808)
  * Drop 0111-soname_fix.patch, applied upstream.
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 10:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ debhelper (>= 9),
  libsnappy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git
 
-Package: libleveldb-dev
-Section: libdevel
+Package: libleveldb1
+Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Suggests: leveldb-doc
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: fast key-value storage library
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.
@@ -45,11 +48,30 @@
   * There is no client-server support builtin to the library.
     An application that needs such support will have to wrap their own
     server around the library.
+ .
+ This package provides the shared library.
+
+Package: libleveldb-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends:
+ libleveldb1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ leveldb-doc
+Description: fast key-value storage library (development files)
+ LevelDB is a fast key-value storage library written at Google that
+ provides an ordered mapping from string keys to string values.
+ .
+ This package provides the development files.
 
 Package: leveldb-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: LevelDB documentation
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DESTDIR=debian/tmp
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    OPT=-O0
else
    OPT=-O2
endif

export OPT += -DNDEBUG

%:
	dh $@ --parallel

get-orig-source:
	debian/get-git-source.sh

## leveldb 1.9.0

=== debian/changelog ===
leveldb (1.9.0-1~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive. 

 -- James Page <james.page@ubuntu.com>  Fri, 08 Feb 2013 08:55:46 +0000

leveldb (1.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:34:08 +0000

leveldb (1.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #696956)
  * Refresh 1002-cstdatomic_renaming.patch patch.
  * Fix debian/watch file.
    Thanks to Bart Martens for the fix.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 23:54:14 +0000

leveldb (1.7.0-1) experimental; urgency=low

  * New upstream release:
    - Fix shared library building.
    - Reorganize linking commands so flags like --as-needed can
      be passed.
    - C binding exports version numbers.
    - Fix small typos in documentation.
  * Drop 0101-as_needed.patch, applied upstream.
  * Refresh patches.
  * Change tarball compression to gzip.

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Nov 2012 15:18:45 +0000

leveldb (0+20121012.git946e5b5-2) experimental; urgency=low

  * Merge Debian ports patches into an all-in-one 0001-debian-ports.patch
    patch.
  * debian/patches/1002-cstdatomic_renaming.patch:
    - <cstdatomic> has been renamed to <atomic>, fix #include statements.
  * Append CPPFLAGS to CXXFLAGS as the buildsystem doesn't handle it.
  * Disable MIPS implementation for now, the atomic_pointer implementation
    doesn't work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 15 Oct 2012 11:26:21 +0100

leveldb (0+20121012.git946e5b5-1) experimental; urgency=low

  * Update to leveldb 1.6.
  * debian/get-git-source.sh
    - Use HTTP instead of HTTPS to workaround issues with proxies.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Oct 2012 17:14:51 +0100

leveldb (0+20120530.gitdd0d562-2) unstable; urgency=low

  * debian/patches/1001-fix_bloom_test.patch:
    - Increase false positive threshold by 1% to fix FTBFS on big endian
      archs. Patch taken from upstream mailing list. (Closes: #677645)
      (LP: #1021560)

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Jul 2012 15:38:29 +0200

## leveldb 1.12.0

=== debian/changelog ===
leveldb (1.12.0-1~bpo60+1.ceph) squeeze; urgency=low

  * 

 -- Alessio Treglia <gary.lowell@inktank.com>  Fri, 27 Sep 2013 23:11:28 +0000

leveldb (1.12.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh patches.

  [ Martin Pitt ]
  * debian/tests/build: Fix typo in file name passed to g++,
    to make the test actually work.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Jun 2013 23:49:32 +0100

leveldb (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0113-makefile_memenv.patch: Install missing component
    "memenv" (Closes: #701075). Thanks to Dmitry Smirnov for the report
    and patch.
  * Fix VCS fields.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 May 2013 04:55:01 +0200

leveldb (1.9.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 11:11:33 +0200

leveldb (1.9.0-2) experimental; urgency=low

  * Improve get-orig-source mechanism.
  * Add autopkgtest support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Mar 2013 18:29:52 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends:
  debhelper (>= 9),
  libsnappy-dev
-Standards-Version: 3.9.3
+XS-Testsuite: autopkgtest
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/leveldb/
-Vcs-Git: git://git.debian.org/collab-maint/leveldb.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/leveldb.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
 
 Package: libleveldb1
 Section: libs

## leveldb 1.13.0

=== debian/changelog ===
leveldb (1.13.0-1~cloud1) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 09:11:16 +0100

leveldb (1.13.0-1) unstable; urgency=low

  * New upstream release. (Closes: #720609)
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Aug 2013 17:10:29 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

## leveldb 1.15.0

=== debian/changelog ===
leveldb (1.15.0-2) unstable; urgency=low

  * Allow tests to fail on mips only. Thanks to Dmitry Smirnov
    for the hint. (Closes: #735515)

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Mar 2014 17:39:33 +0000

leveldb (1.15.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards.
  * Refresh patches.
  * Multiarchify the -DBG runtime.
  * Update copyright holders information.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 14:49:30 +0000

leveldb (1.14.0-3) unstable; urgency=low

  [ paul cannon ]
  * Ship leveldb-dbg package. (Closes: #728916)

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Nov 2013 09:35:19 +0000

leveldb (1.14.0-2) unstable; urgency=low

  * Inject CPPFLAGS into CFLAGS for hardening.
  * Don't fail when tests fail (temporary workaround, tests are buggy).

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 15:51:41 +0100

leveldb (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 1003-sparc_alignment.patch, fixed upstream.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Sep 2013 13:19:10 +0100

leveldb (1.13.0-2) unstable; urgency=low

  * Fix FTBFS on sparc{,64}.
    Thanks to Hilko Bengen for the patch. (Closes: #681946)

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 09:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  libsnappy-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/leveldb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
@@ -69,6 +69,23 @@
  .
  This package provides the development files.
 
+Package: libleveldb-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ libleveldb1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Priority: extra
+Description: fast key-value storage library (debug symbols)
+ LevelDB is a fast key-value storage library written at Google that
+ provides an ordered mapping from string keys to string values.
+ .
+ This package provides the debugging symbols.
+
 Package: leveldb-doc
 Section: doc
 Architecture: all

=== debian/watch ===
version=3
opts=downloadurlmangle=s%.*/%http://leveldb.googlecode.com/files/% \
http://code.google.com/p/leveldb/downloads/list .*/leveldb-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## leveldb 1.17

=== debian/changelog ===
leveldb (1.17-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Jun 2014 23:14:33 +0100

leveldb (1.17-1) unstable; urgency=low

  * New upstream release.
  * Fix trivial mistake in 1002-cstdatomic_renaming.patch. (Closes: #741325)

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Jun 2014 11:05:26 +0100

## leveldb 1.18

=== debian/changelog ===
leveldb (1.18-5) unstable; urgency=medium

  * Integrate ARM64 support patch to 0001-debian-ports.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 21:21:22 +0200

leveldb (1.18-4) unstable; urgency=medium

  * Add proper ARM64 support from upstream Git tree.
  * Build depend on C++11 ABI transitioned snappy version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 19:58:02 +0200

leveldb (1.18-3) unstable; urgency=medium

  * Rename library to libleveldb1v5 for GCC 5 transition.
  * Update Standards-Version to 3.9.6 .
  * Add myself to uploaders.

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Make the build reproducible (closes: #791960).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2015 08:42:55 +0200

leveldb (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with "-fPIC" added to CPPFLAGS (Closes: #791374).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jul 2015 09:58:37 +1000

leveldb (1.18-2) unstable; urgency=medium

  * Re-apply patch to debian/patches/0001-debian-ports.patch
    to fix FTBFS on hppa. Thanks to Helge Deller for pointing
    this out promptly. (Closes: #783583)

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Apr 2015 08:03:56 +0100

leveldb (1.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patchset.
  * Drop 1002-cstdatomic_renaming.patch, applied upstream.
  * Upstream project has moved to Github, update references
    accordingly.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 17:59:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: database
 Priority: optional
 Maintainer: Alessio Treglia <alessio@debian.org>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libsnappy-dev
+ libsnappy-dev (>= 1.1.3-2)
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/leveldb/
+Standards-Version: 3.9.6
+Homepage: https://github.com/google/leveldb
 Vcs-Git: git://anonscm.debian.org/collab-maint/leveldb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leveldb.git
 
-Package: libleveldb1
+Package: libleveldb1v5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -20,6 +21,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Conflicts: libleveldb1
+Replaces: libleveldb1
 Description: fast key-value storage library
  LevelDB is a fast key-value storage library written at Google that
  provides an ordered mapping from string keys to string values.
@@ -58,7 +61,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libleveldb1 (= ${binary:Version}),
+ libleveldb1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -76,7 +79,7 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libleveldb1 (= ${binary:Version}),
+ libleveldb1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Priority: extra

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

export CXXFLAGS+=$(CPPFLAGS)
export CFLAGS+=$(CPPFLAGS)

export DESTDIR=debian/tmp
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    OPT=-O0
else
    OPT=-O2
endif

export OPT += -g -DNDEBUG

%:
	dh $@ --parallel

override_dh_auto_test:
ifeq ($(DEB_BUILD_ARCH),mips)
	@echo "======== will not abort on test(s) failure ========"
	dh_auto_test || true
else
	dh_auto_test
endif

get-orig-source:
	debian/get-git-source.sh

override_dh_strip:
	dh_strip --dbg-package=libleveldb-dbg
